dnl *@--NOTICE--@* Common File Distribution

dnl --- *@-mdw_LIBTOOL_VERSION_INFO-@* ---
dnl
dnl Author:	Mark Wooding
dnl
dnl Synopsis:	mdw_LIBTOOL_VERSION
dnl
dnl Arguments:	---
dnl
dnl Use:	Decodes the PACKAGE_VERSION variable as a libtool
dnl		version-info string.  Strictly speaking, this is very
dnl		naughty.

AC_DEFUN([mdw_LIBTOOL_VERSION_INFO], [
  set -- $(echo $PACKAGE_VERSION |
  sed 's:[^\([0-9][0-9]*\)\.\([0-9][0-9]*\)\.\([0-9][0-9]*\).*$]:\1 \2 \3:'
  )
  LIBTOOL_VERSION_INFO="$(expr $[]1 + $[]2):$[]3:$[]2"
  AC_SUBST([LIBTOOL_VERSION_INFO])
])

