dnl *@--NOTICE--@* Common File Distribution

dnl --- *@-mdw_SILENT_RULES-@* ---
dnl
dnl Author:	Mark Wooding
dnl
dnl Synopsis:	mdw_SILENT_RULES
dnl
dnl Arguments:	---
dnl
dnl Use:	Enables the Automake `silent-rules' feature, if available.

AC_DEFUN([mdw_SILENT_RULES], [
  m4_ifdef([AM_SILENT_RULES], [
    AM_SILENT_RULES([yes])
  ], [
    AC_SUBST([AM_DEFAULT_VERBOSITY], [1])
  ])
])

